Bug 994709 - CartridgeRepository does not correctly apply Version-Overrides during insert
CartridgeRepository does not correctly apply Version-Overrides during insert
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Paul Morie
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2013-08-07 16:00 EDT by Paul Morie
Modified: 2015-05-14 19:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-29 08:49:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Morie 2013-08-07 16:00:45 EDT
The CartridgeRepository class does not correctly apply the Version-Overrides element to manifest objects inserted into the index.  Consequently:

irb(main):004:0> cr.select('mock','0.2').version
=> "0.1"
Comment 1 Paul Morie 2013-08-15 12:05:55 EDT
PR merged, available now.
Comment 2 Meng Bo 2013-08-16 08:41:49 EDT
Verified on devenv_3660

# irb
irb(main):001:0> require "openshift-origin-node/model/cartridge_repository.rb"
irb(main):003:0> OpenShift::Runtime::CartridgeRepository.instance.select('mock','0.2').version
=> "0.2"
irb(main):006:0> OpenShift::Runtime::CartridgeRepository.instance.select('mock','0.1').version
=> "0.1"

Note You need to log in before you can comment on or make changes to this bug.